Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.OutputPreview Class Reference
Inheritance diagram for FoxitPDFSDKPython2.OutputPreview:

## Public Member Functions
def | OutputPreview (pdf_doc)
| Constructor, with parameters. More...
def | OutputPreview (other)
| Constructor, with another output preview object. More...
def | EnableSimulateOverprint (is_to_simulate_overprint)
| Set the flag to decide whether to enable simulate overprint. More...
def | GeneratePreviewBitmap (page, matrix, renderer)
| Generate the output preview bitmap for a PDF page. More...
def | GetPlates (colorant_type)
| Get Separations plates. More...
def | GetSpotPlateColor (plate_name)
| Get the color value of a plate. More...
def | IsChecked (plate_name)
| Check whether a plate is checked or not. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetCheckStatus (plate_name, to_check)
| Set the check status for a plate. More...
def | SetShowType (show_type)
| Set show type. More...
def | SetSimulationProfile (icc_profile_path)
| Set simulation ICC profile file path. More...

## Static Public Attributes
| e_ColorantTypeProcess = _fsdk.OutputPreview_e_ColorantTypeProcess
| Colorant type: process.
| e_ColorantTypeSpot = _fsdk.OutputPreview_e_ColorantTypeSpot
| Colorant type: spot.
| e_ShowAll = _fsdk.OutputPreview_e_ShowAll
| If set, show all.
| e_ShowCalGray = _fsdk.OutputPreview_e_ShowCalGray
| If set, only show with CalGray.
| e_ShowCalibrated = _fsdk.OutputPreview_e_ShowCalibrated
| If set, only show with Calibrated.
| e_ShowCMYK = _fsdk.OutputPreview_e_ShowCMYK
| If set, only show with CMYK.
| e_ShowDevice = _fsdk.OutputPreview_e_ShowDevice
| If set, only show with Device.
| e_ShowDeviceCMYK = _fsdk.OutputPreview_e_ShowDeviceCMYK
| If set, only show with DeviceCMYK.
| e_ShowDeviceCMYKAndSpot = _fsdk.OutputPreview_e_ShowDeviceCMYKAndSpot
| If set, only show with DeviceCMYK and spot.
| e_ShowDeviceGray = _fsdk.OutputPreview_e_ShowDeviceGray
| If set, only show with DeviceGray.
| e_ShowDeviceN = _fsdk.OutputPreview_e_ShowDeviceN
| If set, only show with DeviceN.
| e_ShowDeviceRGB = _fsdk.OutputPreview_e_ShowDeviceRGB
| If set, only show with DeviceRGB.
| e_ShowGray = _fsdk.OutputPreview_e_ShowGray
| If set, only show with Gray.
| e_ShowICCBasedCMYK = _fsdk.OutputPreview_e_ShowICCBasedCMYK
| If set, only show with ICCBased CMYK.
| e_ShowICCBasedRGB = _fsdk.OutputPreview_e_ShowICCBasedRGB
| If set, only show with ICCBased RGB.
| e_ShowImages = _fsdk.OutputPreview_e_ShowImages
| If set, only show images.
| e_ShowLab = _fsdk.OutputPreview_e_ShowLab
| If set, only show with Lab.
| e_ShowLineArt = _fsdk.OutputPreview_e_ShowLineArt
| If set, only show line art.
| e_ShowNotDeviceCMYK = _fsdk.OutputPreview_e_ShowNotDeviceCMYK
| If set, only show without DeviceCMYK.
| e_ShowNotDeviceCMYKOrSpot = _fsdk.OutputPreview_e_ShowNotDeviceCMYKOrSpot
| If set, only show with DeviceCMYK or spot.
| e_ShowRegistrationColor = _fsdk.OutputPreview_e_ShowRegistrationColor
| If set, only show registration color.
| e_ShowRGB = _fsdk.OutputPreview_e_ShowRGB
| If set, only show with RGB.
| e_ShowSmoothShades = _fsdk.OutputPreview_e_ShowSmoothShades
| If set, only show smooth shades.
| e_ShowSolidColor = _fsdk.OutputPreview_e_ShowSolidColor
| If set, only show solid color.
| e_ShowSpotColor = _fsdk.OutputPreview_e_ShowSpotColor
| If set, only show with spot color.
| e_ShowText = _fsdk.OutputPreview_e_ShowText
| If set, only show text.

## Detailed Description

This class can be used to do output preview. Output preview is to preview color separations and test different color profiles. Before use this class, please ensure function FoxitPDFSDKPython2.Library.SetDefaultICCProfilesPath has been called successfully; otherwise unexpcted error or result may occur when this class is being used to do output preview. Currently, this feature is not supported on the Linux ARM and Mac ARM platform.

## Constructor & Destructor Documentation

## ◆ OutputPreview() [1/2]

def FoxitPDFSDKPython2.OutputPreview.OutputPreview | ( |  | pdf_doc | ) |

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.

## ◆ OutputPreview() [2/2]

def FoxitPDFSDKPython2.OutputPreview.OutputPreview | ( |  | other | ) |

Constructor, with another output preview object.

Parameters

  [in] | other | Another output preview object.

## Member Function Documentation

## ◆ EnableSimulateOverprint()

def FoxitPDFSDKPython2.OutputPreview.EnableSimulateOverprint | ( |  | is_to_simulate_overprint | ) |

Set the flag to decide whether to enable simulate overprint.

If this function is not called, default value true will be used.

Parameters

  [in] | is_to_simulate_overprint | true means to simulate overprinting. false means not to simulate overprinting.

Returns
  None.

## ◆ GeneratePreviewBitmap()

def FoxitPDFSDKPython2.OutputPreview.GeneratePreviewBitmap | ( |  | page,
|  |  | matrix,
|  |  | renderer
| ) |  |

Generate the output preview bitmap for a PDF page.

This function will render target PDF page with flags and options specified in input renderer and settings of current output preview object, and then return the final output preview bitmap. Rendering process in this function will not affect input renderer.
Please ensure function FoxitPDFSDKPython2.OutputPreview.SetSimulationProfile has been called successfully; otherwise this function will throw FoxitPDFSDKPython2.e_ErrUnsupported .

Parameters

  [in] | page | A valid PDF page object. This PDF page should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .
  [in] | renderer | A valid renderer object.

Returns
  A bitmap which represents the output preview result.

## ◆ GetPlates()

def FoxitPDFSDKPython2.OutputPreview.GetPlates | ( |  | colorant_type | ) |

Get Separations plates.

If to get plates of process colorant type, please ensure function FoxitPDFSDKPython2.OutputPreview.SetSimulationProfile has been called successfully; otherwise no plate of process colorant type will be retrieved.

Parameters

  [in] | colorant_type | Colorant type. Please refer to values starting from FoxitPDFSDKPython2.OutputPreview.e_ColorantTypeProcess and this should be one of these values.

Returns
  A string array which represents plate names.

## ◆ GetSpotPlateColor()

def FoxitPDFSDKPython2.OutputPreview.GetSpotPlateColor | ( |  | plate_name | ) |

Get the color value of a plate.

This function is only useful for a plate in spot colorant type.

Parameters

  [in] | plate_name | Plate name. This can be retrieved form the returned string array of function FoxitPDFSDKPython2.OutputPreview.GetPlates .

Returns
  RGB color of the specified plate.

## ◆ IsChecked()

def FoxitPDFSDKPython2.OutputPreview.IsChecked | ( |  | plate_name | ) |

Check whether a plate is checked or not.

For a newly constructed output preview object, all the plates are not checked.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function FoxitPDFSDKPython2.OutputPreview.GetPlates .

Returns
  true means the plate is checked, while false means the plate is not checked.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.OutputPreview.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCheckStatus()

def FoxitPDFSDKPython2.OutputPreview.SetCheckStatus | ( |  | plate_name,
|  |  | to_check
| ) |  |

Set the check status for a plate.

Parameters

  [in] | plate_name | Plate name. This can be retrieved from the returned string array of function FoxitPDFSDKPython2.OutputPreview.GetPlates .
  [in] | to_check | Check status: true means to check the plate, while false means not to check the plate.

Returns
  None.

## ◆ SetShowType()

def FoxitPDFSDKPython2.OutputPreview.SetShowType | ( |  | show_type | ) |

Set show type.

If no show type is set to current object, value FoxitPDFSDKPython2.OutputPreview.e_ShowAll will be used by default when function FoxitPDFSDKPython2.OutputPreview.GeneratePreviewBitmap is called.

Parameters

  [in] | show_type | Show type. Please refer to values starting from FoxitPDFSDKPython2.OutputPreview.e_ShowAll and this should be one of these values.

Returns
  None.

## ◆ SetSimulationProfile()

def FoxitPDFSDKPython2.OutputPreview.SetSimulationProfile | ( |  | icc_profile_path | ) |

Set simulation ICC profile file path.

If the color space of input ICC profile file is not one of RGB/Gray/CMYK, this function will throw FoxitPDFSDKPython2.e_ErrUnsupported .
This function should be called successfully before calling function FoxitPDFSDKPython2.OutputPreview.GeneratePreviewBitmap .

Parameters

  [in] | icc_profile_path | File path for an ICC profile which is to be used as simulation profile for output preview.

Returns
  None.